Description

Starting with 3.2 and still an issue in 3.2.1 the progress bar calculation is questionable.
My setup:

e progress calculation by ticket status
¢ status "closed" and "invalid" are both marked as "closed" and "% done" is set to "100%"

All 50 closed tickets are either in the state "closed" or "invalid". So why is there a difference between "closed" and "done" in the
progress table?

In this certain case, | would expect the "closed/done" progress part to be at 50% in the darker green tone and then | would expect for
example 30% "work in progress" in the lighter green color for all the tickets being work in progress. This was the behaviour before
3.2.

History

#1 - 2016-05-13 06:40 - Toshi MARUYAMA

- Status changed from New to Needs feedback

| cannot see any difference in vanilla Redmine Web Ul between 3.1 and 3.2.
Do you use plugin or theme and do these follow r14851 etc. change?

#2 - 2016-07-11 20:45 - Tobias Fischer

This is the behaviour with default theme.
Unfortunately | cannot downgrade to 3.1 anymore, but as this issue arouse when | upgraded from 3.1 to 3.2 I'm pretty sure this hadn't been an issue
before.

| hope you can agree with my conclusion, that the calculation seems to be wrong, right?

#3 - 2016-07-12 23:38 - Jean-Philippe Lang

You must have some estimated times entered on some issues assigned to this version. It's taken into account to calculate the version progress. Can
you list the 102 issues and check if there are some estimated times?

#4 - 2016-07-17 18:53 - Toshi MARUYAMA

Is this issue related with #231517?

#5 - 2016-07-17 21:15 - Tobias Fischer

toshio harita: Maybe... Since | got hundred's of tickets and this was an issue in our production environment, I'm not sure whether | can reproduce this
or relate it to #23151

Anyways, this is my setup for issue done calculation:

e Calculate the issue done ratio with: use the issue status
e Parent tasks attributes: % Done: Calculated from subtasks

Since my setting for issue done ratio is based on the issue status field(!) | expect the estimated time not being taken into account when calculating the
issue done ratio. Am | right?
https://www.redmine.org/projects/redmine/repository/svn/revisions/14851
https://www.redmine.org/issues/23151
https://www.redmine.org/users/10651
https://www.redmine.org/issues/23151

#6 - 2016-07-18 04:15 - Toshi MARUYAMA

Tobias Fischer wrote:

| expect the estimated time not being taken into account when calculating the issue done ratio. Am | right?

See #2182.

#7 - 2016-07-18 21:56 - Jean-Philippe Lang

- Status changed from Needs feedback to Closed

Tobias Fischer wrote:
Since my setting for issue done ratio is based on the issue status field(!) | expect the estimated time not being taken into account when
calculating the issue done ratio. Am | right?

The issue done ratio is based on the status, but the progress of the version is based on issues progress and estimated time. If you have one issue at

100% estimated to 5h and and one issue at 0% estimated to 10h, the global progress will be 33%, not 50%.

I'm closing it since it is the expected behaviour, as noted by Toshi in #2182.

#8 - 2016-07-18 23:29 - Tobias Fischer

Oh, okay, sorry, didn't knew that and probably never experienced it before so | thought it was introduced with 3.2
Sorry for the trouble
